App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mhr.appcore.tools.Tool Interface Reference

Společný interface pro jednotlivé nástroje. More...

Inheritance diagram for mhr.appcore.tools.Tool:

## Public Member Functions
void | applyTo (Image img, ToolActionData data) throws ToolNotApplicableException
| Aplikuje nástroj na vybraný element obrazu, pokud nelze provést, hodí výjimku.
void | onRender (Image img, NBitmap canvas, NBitmap tmpLayer, NBitmap origLayer, NBitmap masterMask, Rect src, int srcOrigX, int srcOrigY)
| Callback, který volá obraz v okamžiku, kdy je třeba renderovat část obrazu.
void | onCommit (Image image, NBitmap canvas, NBitmap tmpLayer, NBitmap origLayer, NBitmap masterMask, Rect src, int srcOrigX, int srcOrigY)
| Callback, který volá obraz v okamžiku, kdy je kanvas odeslán k provedení finálních úprav.
void | dispose ()
| Slouží k uvolnění nativních prostředků při výměně nástroje.

## Detailed Description

Společný interface pro jednotlivé nástroje.

Definition at line 12 of file Tool.java.

## Member Function Documentation

void mhr.appcore.tools.Tool.applyTo | ( | Image | img,
|  | ToolActionData | data
| ) |  | throws ToolNotApplicableException

Aplikuje nástroj na vybraný element obrazu, pokud nelze provést, hodí výjimku.

Parameters

  img | Obraz, na který je nástroj aplikován.
  data | Data určující akci, kterou má nástroj provést.

Exceptions

  ToolNotApplicableException |

Implemented in mhr.appcore.tools.brushlike.BrushLikeTool, mhr.appcore.tools.cancelable.lut.LUTCancelableTool, mhr.appcore.tools.cancelable.filter.FilterCancelableTool, mhr.appcore.tools.cancelable.CancelableTool, mhr.appcore.tools.brushlike.Brush, mhr.appcore.tools.brushlike.LUTBrush, mhr.appcore.tools.brushlike.AlphaBrush, and mhr.appcore.tools.cancelable.LinearTransformationTool.

void mhr.appcore.tools.Tool.dispose | ( |  | ) |

Slouží k uvolnění nativních prostředků při výměně nástroje.

Implemented in mhr.appcore.tools.brushlike.BrushLikeTool, mhr.appcore.tools.brushlike.LUTBrush, mhr.appcore.tools.cancelable.lut.CurvesLUTCancelableTool, mhr.appcore.tools.cancelable.lut.ContrastLUTCancelableTool, mhr.appcore.tools.cancelable.lut.GammaLUTCancelableTool, mhr.appcore.tools.cancelable.lut.BrightnessLUTCancelableTool, mhr.appcore.tools.cancelable.filter.FilterCancelableTool, mhr.appcore.tools.cancelable.lut.LUTCancelableTool, mhr.appcore.tools.cancelable.CancelableTool, mhr.appcore.tools.cancelable.filter.DifferenceOfGaussianSharpenFilterCancelableTool, mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool, mhr.appcore.tools.cancelable.filter.GaussianSharpenFilterCancelableTool, mhr.appcore.tools.cancelable.filter.LaplaceSharpenFilterCancelableTool, and mhr.appcore.tools.cancelable.filter.GaussianBlurFilterCancelableTool.

void mhr.appcore.tools.Tool.onCommit | ( | Image | image,
|  | NBitmap | canvas,
|  | NBitmap | tmpLayer,
|  | NBitmap | origLayer,
|  | NBitmap | masterMask,
|  | Rect | src,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |

Callback, který volá obraz v okamžiku, kdy je kanvas odeslán k provedení finálních úprav.

Po nástroji je požadováno, aby implementoval tuto metodu tak, že v závislosti na stavu obrazu, canvasu, origLayer a masterMask upraví oblast src v origLayer. tmpLayer nebude již dále viditelná.

Parameters

  img | Obraz, na který je nástroj aplikován.
  canvas | Kanvas, který si nástroj vytvořil a upravuje při volání applyTo
  tmpLayer | Dočasná vrstva sloužící k náhledu úprav
  origLayer | Původní vrstva, kterou tmpLayer zastupuje.
  masterMask | Maska výběru, pokud výběr není použitý je null.
  src | Oblast k přerenderování.
  srcOrigX |
  srcOrigY |

Implemented in mhr.appcore.tools.cancelable.filter.FilterCancelableTool, mhr.appcore.tools.cancelable.lut.LUTCancelableTool, mhr.appcore.tools.brushlike.AlphaBrush, mhr.appcore.tools.brushlike.Brush, mhr.appcore.tools.brushlike.LUTBrush, and mhr.appcore.tools.cancelable.LinearTransformationTool.

void mhr.appcore.tools.Tool.onRender | ( | Image | img,
|  | NBitmap | canvas,
|  | NBitmap | tmpLayer,
|  | NBitmap | origLayer,
|  | NBitmap | masterMask,
|  | Rect | src,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |

Callback, který volá obraz v okamžiku, kdy je třeba renderovat část obrazu.

Po nástroji je požadováno, aby implementoval tuto metodu tak, že v závislosti na stavu obrazu, canvasu, origLayer a masterMask upraví oblast src v tmpLayer tak, že tmpLayer bude obsahovat náhled aplikace nástroje na origLayer.

Parameters

  img | Obraz, na který je nástroj aplikován.
  canvas | Kanvas, který si nástroj vytvořil a upravuje při volání applyTo
  tmpLayer | Dočasná vrstva sloužící k náhledu úprav
  origLayer | Původní vrstva, kterou tmpLayer zastupuje.
  masterMask | Maska výběru, pokud výběr není použitý je null.
  src | Oblast k přerenderování.
  srcOrigX |
  srcOrigY |

Implemented in mhr.appcore.tools.cancelable.lut.LUTCancelableTool, mhr.appcore.tools.cancelable.filter.FilterCancelableTool, mhr.appcore.tools.brushlike.Brush, mhr.appcore.tools.brushlike.LUTBrush, mhr.appcore.tools.brushlike.AlphaBrush, and mhr.appcore.tools.cancelable.LinearTransformationTool.

The documentation for this interface was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/tools/Tool.java